CVE-2005-2505
CVSS7.5
发布时间 :2005-08-19 00:00:00
修订时间 :2008-09-05 16:51:56
NMCO    

[原文]Buffer overflow in CoreFoundation in Mac OS X 10.3.9 allows attackers to execute arbitrary code via command line arguments to an application that uses CoreFoundation.


[CNNVD]Mac OS X CoreFoundatio 缓冲区溢出漏洞(CNNVD-200508-214)

        Mac OS X是苹果家族计算机所使用的操作系统。
        用于Mac OS X 10.3.9版本的CoreFoundation存在缓冲区溢出漏洞。允许远程攻击者可以借助对CoreFoundation应用请求,执行任意的代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2505
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2505
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200508-214
(官方数据源) CNNVD

- 其它链接及资源

http://lists.apple.com/archives/security-announce/2005/Aug/msg00000.html
(PATCH)  APPLE  APPLE-SA-2005-08-15
http://lists.apple.com/archives/security-announce/2005//Aug/msg00001.html
(PATCH)  APPLE  APPLE-SA-2005-08-17
http://securitytracker.com/id?1014697
(UNKNOWN)  SECTRACK  1014697

- 漏洞信息

Mac OS X CoreFoundatio 缓冲区溢出漏洞
高危 缓冲区溢出
2005-08-19 00:00:00 2005-10-20 00:00:00
远程※本地  
        Mac OS X是苹果家族计算机所使用的操作系统。
        用于Mac OS X 10.3.9版本的CoreFoundation存在缓冲区溢出漏洞。允许远程攻击者可以借助对CoreFoundation应用请求,执行任意的代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        ftp://ftp.openssl.org/source/

- 漏洞信息

18780
Apple Mac OS X Server CoreFoundation Framework Command Line Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

A local overflow exists in Mac OS X Server. CoreFoundation applications fail to validate unspecified data resulting in a buffer overflow. With a specially crafted request, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-08-17 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Apple has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站